Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryIntegerInstantiationAstVisitor

- groovy.org.codenarc.rule.unnecessary.UnnecessaryIntegerInstantiationAstVisitor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnnecessaryIntegerInstantiationAstVisitor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `isTypeSuffixNecessary(def argument)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class UnnecessaryInstantiationAstVisitor` | `isTypeSuffixNecessary, shouldSkipViolation, visitConstructorCallExpression`

- - ### Constructor Detail

    - #### UnnecessaryIntegerInstantiationAstVisitor()

  - ### Method Detail

    - #### @Override protected boolean isTypeSuffixNecessary(def argument)